Package org.apache.solr.client.solrj.impl

# Class CloudHttp2SolrClient

java.lang.Object
org.apache.solr.client.solrj.SolrClient
org.apache.solr.client.solrj.impl.CloudSolrClient
org.apache.solr.client.solrj.impl.CloudHttp2SolrClient

All Implemented Interfaces:
  `Closeable`, `Serializable`, `AutoCloseable`

public class CloudHttp2SolrClient extends CloudSolrClient
This `CloudSolrClient` is a base implementation using a `HttpSolrClientBase`. The '2' in the name has no differentiating significance anymore.

Since:
  solr 8.0
See Also:
  - Serialized Form
NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.impl.CloudSolrClient

`CloudSolrClient.Builder, CloudSolrClient.RouteException, CloudSolrClient.RouteResponse<T extends LBSolrClient.Req>, CloudSolrClient.StateCache`

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrClient

`SolrClient.SolrClientFunction<C extends SolrClient,R>`

## Field Summary

### Fields inherited from class org.apache.solr.client.solrj.impl.CloudSolrClient

`collectionStateCache, retryExpiryTimeNano, STATE_VERSION`

### Fields inherited from class org.apache.solr.client.solrj.SolrClient

`defaultCollection`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CloudHttp2SolrClient(CloudSolrClient.Builder builder)`
Create a new client object that connects to Zookeeper and is always aware of the SolrCloud state.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`ClusterStateProvider`
`getClusterStateProvider()`
`HttpSolrClientBase`
`getHttpClient()`
`LBSolrClient`
`getLbClient()`

### Methods inherited from class org.apache.solr.client.solrj.impl.CloudSolrClient

`condenseResponse, condenseResponse, connect, connect, createRoutes, getClusterState, getDocCollection, getMinAchievedReplicationFactor, getParser, getRequestWriter, getRouteException, getShardReplicationFactor, getStateRefreshParallelism, isDirectUpdatesToLeadersOnly, isParallelUpdates, isUpdatesToLeaders, request, requestWithRetryOnStaleState, sendRequest, wasCommError`

### Methods inherited from class org.apache.solr.client.solrj.SolrClient

`add, add, add, add, add, add, add, add, add, add, addBean, addBean, addBean, addBean, addBeans, addBeans, addBeans, addBeans, addBeans, addBeans, commit, commit, commit, commit, commit, commit, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteByQuery, deleteByQuery, deleteByQuery, deleteByQuery, getById, getById, getById, getById, getById, getById, getById, getById, getContext, getDefaultCollection, optimize, optimize, optimize, optimize, optimize, optimize, ping, ping, query, query, query, query, queryAndStreamResponse, queryAndStreamResponse, queryAndStreamResponse, request, rollback, rollback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CloudHttp2SolrClient

protected CloudHttp2SolrClient(CloudSolrClient.Builder builder)
Create a new client object that connects to Zookeeper and is always aware of the SolrCloud state. If there is a fully redundant Zookeeper quorum and SolrCloud has enough replicas for every shard in a collection, there is no single point of failure. Updates will be sent to shard leaders by default.

Parameters:
  `builder` - a `CloudSolrClient.Builder` with the options used to create the client.

## Method Details

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `CloudSolrClient`

### getLbClient

public LBSolrClient getLbClient()

Specified by:
  `getLbClient` in class `CloudSolrClient`

### getClusterStateProvider

public ClusterStateProvider getClusterStateProvider()

Specified by:
  `getClusterStateProvider` in class `CloudSolrClient`

### getHttpClient

public HttpSolrClientBase getHttpClient()